summaryrefslogtreecommitdiffstats
path: root/misc/projectM
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2010-06-17 14:05:06 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-17 14:46:15 -0500
commit154553d6c6f5bbeae70ca113445e72967f12a396 (patch)
tree1f4f4cb90b0172ffd38a686719cf73d5eb3b66db /misc/projectM
parent16d5b87a3fb9a348c7ee3651fc955bb2ca302e27 (diff)
downloadslackbuilds-154553d6c6f5bbeae70ca113445e72967f12a396.tar.gz
slackbuilds-154553d6c6f5bbeae70ca113445e72967f12a396.tar.xz
misc/projectM: Added (Music visualization program)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc/projectM')
-rw-r--r--misc/projectM/README7
-rw-r--r--misc/projectM/projectM.SlackBuild78
-rw-r--r--misc/projectM/projectM.info10
-rw-r--r--misc/projectM/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/misc/projectM/README b/misc/projectM/README
new file mode 100644
index 0000000000..ace031d428
--- /dev/null
+++ b/misc/projectM/README
@@ -0,0 +1,7 @@
+projectM (Music visualization program)
+
+projectM is an OpenGL based advanced music visualization program for Linux,
+Mac OSX, and Windows. It is backward compatible with all the features of
+Milkdrop 1.x (and now 2.x), but has many new toys and enhancements.
+
+This requires ftgl.
diff --git a/misc/projectM/projectM.SlackBuild b/misc/projectM/projectM.SlackBuild
new file mode 100644
index 0000000000..093fc100f7
--- /dev/null
+++ b/misc/projectM/projectM.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for ProjectM
+
+# Written by (M.Dinslage) (daedra1980@gmail.com)
+
+PRGNAM=projectM
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-Source.tar.gz
+cd $PRGNAM-$VERSION-Source
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/projectM/projectM.info b/misc/projectM/projectM.info
new file mode 100644
index 0000000000..c1c68dcc4d
--- /dev/null
+++ b/misc/projectM/projectM.info
@@ -0,0 +1,10 @@
+PRGNAM="projectM"
+VERSION="2.0.1"
+HOMEPAGE="http://projectm.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/projectm/projectM-2.0.1-Source.tar.gz"
+MD5SUM="f8bf795878cdbbef54784cf2390b4c89"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/projectM/slack-desc b/misc/projectM/slack-desc
new file mode 100644
index 0000000000..2124354db5
--- /dev/null
+++ b/misc/projectM/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+projectM: projectM (Music visualization program)
+projectM:
+projectM: projectM is an OpenGL based advanced music visualization program
+projectM: for Linux, Mac OSX, and Windows. It is backward compatible with
+projectM: all the features of Milkdrop 1.x (and now 2.x), but has many new
+projectM: toys and enhancements.
+projectM:
+projectM:
+projectM:
+projectM:
+projectM: